org.eclipse.wst.jsdt.chromium.debug.ui

## Class JsWatchExpressionDelegate

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.JsWatchExpressionDelegate

    public class JsWatchExpressionDelegate
    extends java.lang.Object

Performs the Watch expression evaluation while debugging Chromium JavaScript.

### Constructor Summary

Constructors
Constructor and Description
`JsWatchExpressionDelegate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `evaluateExpression(java.lang.String expression, IDebugElement context, IWatchExpressionListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsWatchExpressionDelegate

    public JsWatchExpressionDelegate()

### Method Detail

#### evaluateExpression

    public void evaluateExpression(java.lang.String expression,
                                   IDebugElement context,
                                   IWatchExpressionListener listener)